Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-2770

sconsUtil install target does not respond to either force=True or --force

    Details

    • Type: Bug
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: sconsUtils
    • Labels:
      None
    • Templates:
    • Story Points:
      1
    • Team:
      Architecture

      Description

      I've been unable to figure out how to bypass the install 'force' check, but have confirmed that this is the correct expression by commenting it out:

      https://github.com/lsst/sconsUtils/blob/54c983ffe9714a33657c4388de3506fe7a40518d/python/lsst/sconsUtils/installation.py#L92

      $ SCONSUTILS_DIR=. scons -Q force=True install 
      Unable to import eups; guessing flavor
      CC is gcc version 4.8.3
      Checking for C++11 support
      C++11 supported with '-std=c++11'
      Error with git version: uncommitted changes
      Found problem with version number; update or specify force=True to proceed
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tjenness Tim Jenness
                Reporter:
                jhoblitt Joshua Hoblitt
                Reviewers:
                Jim Bosch
                Watchers:
                Frossie Economou, Jim Bosch, Joshua Hoblitt, Tim Jenness
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel